Bug 1466955 - virtaal depends on python 2 translate-toolkit which is not available in Fedora
virtaal depends on python 2 translate-toolkit which is not available in Fedora
Status: NEW
Product: Fedora
Classification: Fedora
Component: virtaal (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dwayne Bailey
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 17:15 EDT by Hedayat Vatankhah
Modified: 2018-05-12 13:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2017-06-30 17:15:34 EDT
Description of problem:
Cannot run virtaal, with the following traceback. It seems that the module is provided by translate-toolkit package, which only provides it for Python 3.6, but Virtaal needs it for python 2.7, which is apparently not provided in F26.


% virtaal 
Traceback (most recent call last):
  File "/usr/bin/virtaal", line 23, in <module>
    from virtaal.common import pan_app
  File "/usr/lib/python2.7/site-packages/virtaal/common/__init__.py", line 21, in <module>
    import pan_app
  File "/usr/lib/python2.7/site-packages/virtaal/common/pan_app.py", line 27, in <module>
    from translate.misc import file_discovery
ImportError: No module named translate.misc



Version-Release number of selected component (if applicable):
virtaal-0.7.1-10.fc26.noarch

How reproducible:
100%
Comment 1 Markus Richter 2017-08-01 12:25:56 EDT
See also Bug: 1476574 for OmegaT, maybe this is an issue as 2 CAT-Tools are not working now. GTranslator & Poedit seem not to offer e.g. same kind of terminology management.
Comment 2 Gergely Polonkai 2017-08-31 04:18:05 EDT
Also have this. On the other hand, even though I have translate toolkit installed for Python 3.6 (from the translate-toolkit package), I can’t run virtaal with Python 3, as it is not Python 3 compatible:

$ python3 /usr/bin/virtaal
  File "/usr/bin/virtaal", line 62
    print 'DEPENDENCY WARNINGS:'
                               ^
SyntaxError: Missing parentheses in call to 'print'
Comment 3 Gergely Polonkai 2017-08-31 04:20:34 EDT
Also have this. On the other hand, even though I have translate toolkit installed for Python 3.6 (from the translate-toolkit package), I can’t run virtaal with Python 3, as it is not Python 3 compatible:

$ python3 /usr/bin/virtaal
  File "/usr/bin/virtaal", line 62
    print 'DEPENDENCY WARNINGS:'
                               ^
SyntaxError: Missing parentheses in call to 'print'
Comment 4 Ralf Spenneberg 2018-02-08 02:10:38 EST
This still affects Fedora 27 as well:

$ virtaal 
Traceback (most recent call last):
  File "/usr/bin/virtaal", line 23, in <module>
    from virtaal.common import pan_app
  File "/usr/lib/python2.7/site-packages/virtaal/common/__init__.py", line 21, in <module>
    import pan_app
  File "/usr/lib/python2.7/site-packages/virtaal/common/pan_app.py", line 27, in <module>
    from translate.misc import file_discovery
ImportError: No module named translate.misc


Package: virtaal-0.7.1-11.fc27.noarch
Comment 5 Ralf Spenneberg 2018-02-08 02:16:50 EST
By the way, a manual install of the translate-toolkit fixes this:

sudo pip-2.7 install translate-toolkit

Virtaal starts after the installation without errors.
Comment 6 Fedora End Of Life 2018-05-03 04:05:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.